Get a managed-agent run
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/agents/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agents/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agents/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"definition": {
"agentKey": "<string>",
"description": "<string>",
"displayName": "<string>",
"isCustom": true,
"outputArtifactType": "<string>",
"workflowKey": "<string>",
"quickActions": [
"<string>"
]
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduleOccurrenceKey": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"usage": {},
"workflowKey": "<string>",
"draftOutput": {}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Get a managed-agent run
Returns run status and the bounded draft output artifact only after the run reaches a completed review state.
GET
/
projects
/
{projectId}
/
agents
/
runs
/
{runId}
Get a managed-agent run
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Managed-agent run identifier.
⌘I